use rocket::http::{ContentType, Status};

#[cfg(feature = "cache")]
pub mod cache;

pub mod api;
pub mod assets;
mod context;

pub use context::RequestContext;

/// HTTP response containing a string payload.
pub type StringResponse = (Status, (ContentType, String));

/// HTTP response containing raw binary data.
pub type RawResponse = (Status, (ContentType, Vec<u8>));
